Rainer Gerhards

Deputy Mayor at Municipality of Großrinderfeld

Großrinderfeld, Baden-Württemberg, Germany
email-iconphone-icongithub-logolinkedin-logotwitter-logostackoverflow-logofacebook-logo
Join Prog.AI to see contacts
email-iconphone-icongithub-logolinkedin-logotwitter-logostackoverflow-logofacebook-logo
Join Prog.AI to see contacts

Summary

🤩
Rockstar
🎓
Top School
Rainer Gerhards is a seasoned software engineer and open-source maintainer with 22 years of experience building high-performance systems that process operational data at scale. As founder and lead developer of rsyslog and principal at Adiscon, he has driven architecture, feature design, and release strategies that keep logging pipelines reliable across enterprise and cloud environments. He pairs deep low-level systems expertise—evident from contributions to json-c and util-linux—to pragmatic productization, improving performance, standards compliance, and memory efficiency. Based in Großrinderfeld, Germany, he also brings public-sector leadership as Deputy Mayor and municipal councilor, focusing on digital and sustainable development. An academic with an MSc in Computer Science, he blends rigorous research (work on energy-aware scheduling) with long-term community stewardship and clear technical writing for complex projects. Less obvious: he routinely shapes standards and tooling behind-the-scenes, contributing both implementation fixes and documentation that make logging infrastructures broadly interoperable.
code23 years of coding experience
job12 years of employment as a software developer
bookstate certified business economist, business administation, informatics, state certified business economist, business administation, informatics at DAA Düsseldorf
bookMaster of Science (MSc), Computer Science, excellent, Master of Science (MSc), Computer Science, excellent at Fernuniversität Hagen
languagesEnglish, German, Spanish
stackoverflow-logo

Stackoverflow

Stats
178reputation
8kreached
5answers
2questions
github-logo-circle

Github Skills (21)

json10
api-design10
technical-writing10
c1110
c1710
performance-optimization10
hashtable10
hash10
documentation10
syslog10
c-programming9
system-administration9
networking8
logging6
apache-kafka6

Programming languages (15)

C++CGoHTMLJupyter NotebookKotlinTypeScriptDockerfile

Github contributions (5)

github-logo-circle
rsyslog/rsyslog-doc

Dec 2013 - Jan 2023

documentation for the rsyslog project
Role in this project:
userTechnical Writer
Contributions:6 reviews, 1331 commits, 801 PRs in 9 years 3 months
Contributions summary:Rainer contributed to the documentation of the rsyslog project by updating existing documentation, correcting typos, and providing details on new features such as the omkafka module. The user focused on the structure of existing documentation, adding example configurations, and clarifying the relationships between different components of the system. Their work primarily centered on enhancing the clarity and completeness of the documentation.
rsyslogsphinxlogging
util-linux/util-linux

Mar 2015 - Mar 2015

Role in this project:
userBack-end Developer
Contributions:36 commits, 9 PRs, 20 comments in 6 days
Contributions summary:Rainer primarily focused on fixing bugs and improving the functionality of the `logger` utility. They addressed issues related to timestamp formatting, ensuring compliance with RFC specifications (RFC3164, RFC5424, RFC6587). Additionally, the user refactored the output writing process, implemented message size limits, and added features such as the `--msgid` option for RFC5424. These changes improved the utility's reliability, adherence to standards, and flexibility.
Find and Hire Top DevelopersWe’ve analyzed the programming source code of over 60 million software developers on GitHub and scored them by 50,000 skills. Sign-up on Prog,AI to search for software developers.
Request Free Trial